
void loadCalValues(){
 
  // load and set accel and mag bias and scale
  // factors from CalibrateMPU9250.ino 
  for (size_t i=0; i < sizeof(EepromBuffer); i++) {
    EepromBuffer[i] = EEPROM.read(i);
  }
  cout.println(" "); cout.println("Loading Accel and Mag Biases and Scale Factors"); 
  memcpy(&axb,EepromBuffer+0,4);
  memcpy(&axs,EepromBuffer+4,4);
  memcpy(&ayb,EepromBuffer+8,4);
  memcpy(&ays,EepromBuffer+12,4);
  memcpy(&azb,EepromBuffer+16,4);
  memcpy(&azs,EepromBuffer+20,4);
  memcpy(&hxb,EepromBuffer+24,4);
  memcpy(&hxs,EepromBuffer+28,4);
  memcpy(&hyb,EepromBuffer+32,4);
  memcpy(&hys,EepromBuffer+36,4);
  memcpy(&hzb,EepromBuffer+40,4);
  memcpy(&hzs,EepromBuffer+44,4);
  cout.println("Accel and Mag Biases and Scale Factors Loaded"); 

  cout.println(" "); cout.println("Accel Biases and Scale Factors: ");
  cout.print( axb,6); cout.print(", "); cout.println(axs,6);
  cout.print( ayb,6); cout.print(", "); cout.println(ays,6);
  cout.print( azb,6); cout.print(", "); cout.println(azs,6);
  cout.println(" "); cout.println("Mag Biases and Scale Factors: ");
  cout.print( hxb,6); cout.print(", "); cout.println(hxs,6);
  cout.print( hyb,6); cout.print(", "); cout.println(hys,6);
  cout.print( hzb,6); cout.print(", "); cout.println(hzs,6);
  cout.println(" ");

  Imu.setAccelCalX(axb,axs);
  Imu.setAccelCalY(ayb,ays);
  Imu.setAccelCalZ(azb,azs);

  Imu.setMagCalX(hxb,hxs);
  Imu.setMagCalY(hyb,hys);
  Imu.setMagCalZ(hzb,hzs);

  cout.println("Gyro Calibration Underway"); 
  Imu.calibrateGyro();
  cout.println("Gyro Calibration Complete"); cout.println(" ");

} // End loadCalBiases
  
